%define eclipse_base %{_datadir}/eclipse

Name: eclipse-odt
Version: 1.1.2
Release: 1%{?dist}
Summary: OCaml integration for Eclipse

Group: Development/Tools
License: LGPLv2
URL: http://ocamldt.free.fr/
# mkdir sf.eclipse.odt; pushd sf.eclipse.odt
# cvs -d:pserver:anonymous@odt.cvs.sourceforge.net:/cvsroot/odt export \
#  -r "SF_PUBLIC_RELEASE_V1_1_2" \
#  sources/sf.eclipse.odt.core \
#  sources/sf.eclipse.odt.core
# mv sources/* .
# rmdir sources
# popd
# tar jcf sf.eclipse.odt-1.1.2.tar.bz2 sf.eclipse.odt
Source0: sf.eclipse.odt-1.1.2-src.tar.bz2
# These next two files make up an ODT feature
# (use sf.eclipse.odt.feature as the bundle name).
# They should be offered to upstream.  They make building a lot easier.
Source1: build.properties
Source2: feature.xml
# Add BundleRequiredExecutionEnvironment.  Should be filed upstream.
Patch0: odt-bree-core.patch
Patch1: odt-bree-ui.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: java-devel >= 1:1.5
BuildRequires: javacc
BuildRequires: eclipse-pde
Requires: eclipse-platform

%description
IDE features for OCaml application developments, such as automatic 
compilation, custom editors, etc.

%prep
%setup -q -n sf.eclipse.odt
# Make a feature until upstream has one
mkdir sf.eclipse.odt.feature
cp -p %{SOURCE1} sf.eclipse.odt.feature
cp -p %{SOURCE2} sf.eclipse.odt.feature
pushd sf.eclipse.odt.core
%patch0
popd
pushd sf.eclipse.odt.ui
%patch1
popd

%build
pushd sf.eclipse.odt.ui/src/sf/eclipse/odt/ui/syntaxtree/parser/types
javacc typesParser.jj
popd
pushd sf.eclipse.odt.ui/src/sf/eclipse/odt/ui/syntaxtree/parser
javacc astParser.jj
popd
pushd sf.eclipse.odt.core/src/sf/eclipse/odt/core/builder/parsers
javacc OutputParser.jj
popd

%{eclipse_base}/buildscripts/pdebuild \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{eclipse_base}
unzip -q -d $RPM_BUILD_ROOT%{eclipse_base}/.. \
  build/rpmBuild/sf.eclipse.odt.feature.zip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{eclipse_base}/plugins/sf.eclipse.odt.core_*.jar
%{eclipse_base}/plugins/sf.eclipse.odt.ui_*.jar
%{eclipse_base}/features/sf.eclipse.odt.feature_*

%changelog
* Mon Jun 23 2008 Andrew Overholt <overholt@redhat.com> 1.1.2-1
- Initial package.